multipath installs not working

Bug #1004243 reported by dann frazier on 2012-05-25
108
This bug affects 17 people
Affects Status Importance Assigned to Milestone
multipath-tools (Ubuntu)
High
Adam Conrad
Precise
Undecided
Unassigned
Trusty
Undecided
Unassigned

Bug Description

[SRU Justification]
multipath no workie, see the original description

[Regression Potential]
In theory, multipath suddenly working again could be surprising to people who have worked around it being broken for so long. This seems unlikely.

[Test case]
Boot a d-i install with disk-detect/multipath/enable=true, and once the udebs
have been installed, drop to a shell and try to run 'multipath' to see if it explodes with a symbol resolution error. Ideally it won't.

[Original report]
I started up a precise/netboot install using debian-installer_20101020ubuntu136 and disk-detect/multipath/enable=true and found that multipath support didn't appear to be working. That is to say, both paths appeared as separate disks in the installer, and no device-mapper devices were instantiated.

I dropped to a shell and discovered that /sbin/multipath fails to run:

BusyBox v1.18.5 (Ubuntu 1:1.18.5-1ubuntu4) built-in shell (ash)
Enter 'help' for a list of built-in commands.

~ # multipath
multipath: symbol lookup error: /lib/libmultipath.so.0: undefined symbol: dlopen

Note: this also seems to be the case in oneiric, though oneiric also has a bug where it does not appear to have the dm-multipath module available at install time.

Changed in debian-installer (Ubuntu):
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in debian-installer (Ubuntu):
status: New → Confirmed
Rafi Khardalian (rkhardalian) wrote :

There hasn't been any updates on this bug since it was filed. Is anyone from the Ubuntu or Debian team working on it?

Peter Petrakis (peter-petrakis) wrote :

I think it's been fixed indirectly, I just haven't had time to test.

Nicolas Weill (guimli) wrote :

Tested with Ubuntu 13.04 Server. Multipath don't work.

Stephen Wood (smwood4) wrote :

Peter, can you link to the indirect fix for this issue? This is complicating our enterprise rollouts of 12.04 at the moment.

Hi.

I'm also having this problem.

Here is what I have done, not sure if it's correct so any pointers are welcomed.

We downloaded http://archive.ubuntu.com/ubuntu/dists/precise-updates/main/installer-amd64/current/images/netboot/netboot.tar.gz, unpacked and added the files to our PXE netboot. Then we pointed out the kernel and initrd files in the PXE menu.

During the installation the installer failed to start multipath with the same error.
Is there something else we need to do?

Goodwill (goodwill) wrote :

Is there anything new on this bug? Or is it in magical "we will wait till it is closed automatically after expiration" land?

-- michael

Adam Conrad (adconrad) wrote :

Sounds like libdl.so.2 isn't in the d-i initrd, though that seems rather improbable. Poke me about this on Monday, it could be my bug.

Adam Conrad (adconrad) wrote :

Also, does anyone have a syslog from a debian-installer run where this fails?

Adam Conrad (adconrad) wrote :

Some investigation here shows that libmultipath is underlinked, which is accidentally worked around on installed systems via a library dependency, but not in the d-i initrd. Uploading a fix.

affects: debian-installer (Ubuntu) → multipath-tools (Ubuntu)
Changed in multipath-tools (Ubuntu):
assignee: nobody → Adam Conrad (adconrad)
Goodwill (goodwill) wrote :

I am sorry. Where is the fix uploaded to and is it going to make it to the udeb? Just trying to understand what to test.

Adam Conrad (adconrad) on 2014-10-14
description: updated

Hello dann, or anyone else affected,

Accepted multipath-tools into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/multipath-tools/0.4.9-3ubuntu5.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in multipath-tools (Ubuntu Precise):
status: New → Fix Committed
tags: added: verification-needed
Changed in multipath-tools (Ubuntu Trusty):
status: New → Fix Committed
Stéphane Graber (stgraber) wrote :

Hello dann, or anyone else affected,

Accepted multipath-tools into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/multipath-tools/0.4.9-3ubuntu7.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package multipath-tools - 0.4.9-3ubuntu10

---------------
multipath-tools (0.4.9-3ubuntu10) utopic; urgency=medium

  * 1002-fix-linking-library.patch: Move $(LIBDEPS) to the end of the
    link line to fix underlinking with ld --as-needed (LP: #1004243)
 -- Adam Conrad <email address hidden> Mon, 13 Oct 2014 07:47:07 -0600

Changed in multipath-tools (Ubuntu):
status: Confirmed → Fix Released
Goodwill (goodwill) wrote :

I tested the fix using apt-setup/proposed=true and multipathing now works.

Goodwill (goodwill) wrote :

A bit more info on the above.
Was tested on precise latest netboot, AMD64
Following udebs were installed using the install regular process:
- kpartx-udeb_0.4.9-3ubuntu5.1_amd64.udeb
- multipath-udeb_0.4.9-3ubuntu5.1_amd64.udeb

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package multipath-tools - 0.4.9-3ubuntu7.2

---------------
multipath-tools (0.4.9-3ubuntu7.2) trusty; urgency=medium

  * 1002-fix-linking-library.patch: Move $(LIBDEPS) to the end of the
    link line to fix underlinking with ld --as-needed (LP: #1004243)
 -- Adam Conrad <email address hidden> Mon, 13 Oct 2014 07:47:07 -0600

Changed in multipath-tools (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package multipath-tools - 0.4.9-3ubuntu5.3

---------------
multipath-tools (0.4.9-3ubuntu5.3) precise; urgency=medium

  * 1002-fix-linking-library.patch: Move $(LIBDEPS) to the end of the
    link line to fix underlinking with ld --as-needed (LP: #1004243)
 -- Adam Conrad <email address hidden> Mon, 13 Oct 2014 07:47:07 -0600

Changed in multipath-tools (Ubuntu Precise):
status: Fix Committed → Fix Released
tags: added: verification-done
removed: verification-needed

For documentation purposes only.

The 14.04.0 and 14.04.1 ISO images ship with the problematic multipath-udeb (0.4.9-3ubuntu7.0).
The 14.04.2 and later ISO images ship with the fixed/updated one (0.4.9-3ubuntu7.2).
Any 14.04.x netboot install does download the fixed/updated one (0.4.9-3ubuntu7.2).

That said, one can still use the 14.04.0/14.04.1 ISO images to do a multipath install
if he can download & install the fixed multipath udeb, and (re)run 'Detect disks'.

In order to do it, either use a preseed option *or* execute a shell during the install:

preseed:
  partman/early_command="wget http://ports.ubuntu.com/ubuntu-ports/pool/main/m/multipath-tools/multipath-udeb_0.4.9-3ubuntu7.2_ppc64el.udeb -O /mp.udeb && udpkg -i /mp.udeb && /bin/disk-detect"

shell:
  ~ # wget http://ports.ubuntu.com/ubuntu-ports/pool/main/m/multipath-tools/multipath-udeb_0.4.9-3ubuntu7.2_ppc64el.udeb
  ~ # udpkg -i multipath-udeb_0.4.9-3ubuntu7.2_ppc64el.udeb

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers